Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.frontier
Interface FrontierJournal

All Known Implementing Classes:
  RecoveryJournal

    public interface FrontierJournal

Record of key Frontier happenings.

Version:
  $Date: 2007-08-28 05:15:25 +0000 (Tue, 28 Aug 2007) $, $Revision: 5439 $
Author:
  stack

Field Summary
`static java.lang.String` | `LOGNAME_RECOVER`

Method Summary
`void` | `added(CrawlURI curi)`
`void` | `checkpoint(java.io.File checkpointDir)` Checkpoint.
`void` | `close()` Flush and close any held objects.
`void` | `emitted(CrawlURI curi)` Note that a CrawlURI was emitted for processing.
`void` | `finishedDisregard(CrawlURI curi)`
`void` | `finishedFailure(CrawlURI curi)`
`void` | `finishedFailure(UURI u)`
`void` | `finishedSuccess(CrawlURI curi)`
`void` | `finishedSuccess(UURI uuri)`
`void` | `rescheduled(CrawlURI curi)`
`void` | `seriousError(java.lang.String string)` Add a line noting a serious crawl error.

Field Detail

### LOGNAME_RECOVER

    static final java.lang.String LOGNAME_RECOVER

See Also:
  Constant Field Values

Method Detail

### added

    void added(CrawlURI curi)

  Parameters:
    `curi` - CrawlURI that has been scheduled to be added to the Frontier.

### finishedSuccess

    void finishedSuccess(CrawlURI curi)

  Parameters:
    `curi` - CrawlURI that finished successfully.

### finishedSuccess

    void finishedSuccess(UURI uuri)

  Parameters:
    `uuri` - UURI that finished successfully.

### emitted

    void emitted(CrawlURI curi)

  Note that a CrawlURI was emitted for processing. If not followed by a finished or rescheduled notation in the journal, the CrawlURI was still in-process when the journal ended.

  Parameters:
    `curi` - CrawlURI emitted.

### finishedFailure

    void finishedFailure(UURI u)

  Parameters:
    `u` - UURI that finished unsuccessfully

### finishedFailure

    void finishedFailure(CrawlURI curi)

  Parameters:
    `curi` - CrawlURI finished unsuccessfully.

### finishedDisregard

    void finishedDisregard(CrawlURI curi)

  Parameters:
    `curi` - CrawlURI finished disregarded (uncounted failure).

### rescheduled

    void rescheduled(CrawlURI curi)

  Parameters:
    `curi` - CrawlURI that was returned to the Frontier for another try.

### close

    void close()

  Flush and close any held objects.

### checkpoint

    void checkpoint(java.io.File checkpointDir)
                    throws java.io.IOException

  Checkpoint.

  Parameters:
    `checkpointDir` - Directory we're checkpointing into.
  Throws:
    `java.io.IOException`

### seriousError

    void seriousError(java.lang.String string)

  Add a line noting a serious crawl error.

  Parameters:
    `string` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.